Amazon Neptune 引擎版本 1.0.3.0.R3 (2021-02-19) - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 引擎版本 1.0.3.0.R3 (2021-02-19)

截至 2021-02-19 年,引擎版本 1.0.3.0.R3 正在普遍部署。请注意,新版本在每个区域的发布需要几天的时间。

在此引擎版本中修复的缺陷

  • 修复了涉及结束于以下标签的 CSV 批量加载中的错误。#.

  • 修复了一个 Gremlin 错误,该错误可能导致使用as()步骤。

  • 修复了使用 GEMlin 错误时会导致错误的 GEMlin 错误。project()一步嵌套在另一个步骤中,例如union().

  • 修复了实验 DFE 引擎中字符串遍历执行中的 Gremlin 错误,当终端方法类似的时候toList()已使用。

  • 修复了使用 GEMlin 错误时无法关闭交易的 GEMlin 错误。iterate()在字符串查询中步骤。

  • 修复了一个可能导致使用is(P.gte(0))在某些条件下抛出异常的模式。

  • 修正了一个 GEMlin 错误,InternalFailureException在某些情况下被设置为响应代码,当ConcurrentModificationException发生了。

  • 修复了 Gremlin 错误,在某些条件下,更新边缘或顶点可能会导致暂时性InternalFailureException.

此版本支持的查询语言版本

在将数据库集群升级到版本 1.0.3.0.R3 之前,请确保您的项目与以下查询语言版本兼容:

  • GEMlin 版本: 3.4.8

  • SPARQL 版本: 1.1

升级到引擎版本 1.0.3.0.R3

如果您正在运行引擎版本 1.0.3.0,您的集群将在下一个维护时段内自动升级到此补丁版本。

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

升级到此版本

Amazon Neptune 1.0.3.0.R3 现已正式上市。

如果数据库集群运行的引擎版本有此版本的升级路径,则现在有资格进行升级。您可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的集群:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier (your-neptune-cluster) \ --engine-version 1.0.3.0 \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier (your-neptune-cluster) ^ --engine-version 1.0.3.0 ^ --apply-immediately

更新将同时应用于数据库集群中的所有实例。更新需要在这些实例上重新启动数据库,因此,会出现从 20 到 30 秒到几分钟的停机,之后您可以继续使用数据库集群。

有关升级引擎版本的更多信息,请参阅Neptune 引擎更新. 如果您有任何问题或疑问,Amazon可 Support 过社区论坛和通过AmazonPremium Support.